Read-only catalogue of fund allocations available to workplace workers

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.getpenfold.dev/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Penfold Partner API MCP server": {
    "url": "https://docs.getpenfold.dev/mcp"
  }
}

Close
GET /fund_allocations

Read-only catalogue of fund allocations available to workplace workers. annual_return_percent is intentionally omitted (not shown in the member app; compliance TBD).

Responses

  • 200 application/json

    Fund allocation catalogue retrieved successfully.

    Hide response attributes Show response attributes object
    • id string Required
    • name string Required
    • description string Required
    • provider string Required
    • risk_level integer Required
    • management_fee_percent number | null
  • 401 application/json

    Unauthorized.

    Hide response attribute Show response attribute object
    • error string

      A descriptive error message.

GET /fund_allocations
curl \
 --request GET 'https://payroll-api.getpenfold.dev/v4/fund_allocations' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "provider": "string",
    "risk_level": 42,
    "management_fee_percent": 42.0
  }
]
Response examples (401)
{
  "error": "Bad request: invalid data provided."
}